Subject: Re: Add *

From: Brian Rosen <[email-masked]>
Date: Wed, 1 Sep 1999 14:13:27 -0400

Not quite, but close.

The Reject tells you the terminationID of the ones that succeeded before the
failed one, and it tells you the failed one.  It does not tell you any
others than might not have been attempted.

So, using my example, if MyTerm2 failed, you get
Reject{ Add=MyTerm1{...}, Add=MyTerm2{202: Some kind of error}

So the text might be:
"If an Add with a wildcarded termination is used, the
command fails if one or more terminations failed to be
added to the specified context. All terminations
prior to the failed termination will be in the context,
the termination that encountered the error and all succeeding
terminations will not be in the context.  The MGC may issue
an AuditValue with the given context to find out exactly
which terminations now exist in the context."

We could redefine it so that it always attempts every matched termination,
and gives you success or failure for each possible one.

Could I point out a minor problem using my example?

We probably want to change the error syntax to:
Add=MyTerm2{Error=202{"Some kind of error"}}

This makes error a descriptor with similar syntax to all other descriptors,
and allows parsers to treat operands of all commands to be descriptors.

Brian

> -----Original Message-----
> From: Nancy-M Greene [mailto:[email-masked]]
> Sent: Wednesday, September 01, 1999 12:53 PM
> To: [email-masked]
> Subject: Re: Add *
>
>
> Ok, let's be clear on what happens then. As many adds as are
> matched by the
> * are attempted. Some fail, some succeed. If one or more
> fails, the Add
> returns a failed return code, and the MGC needs to issue an
> AuditValue with
> terminationId=*, or with context=contextId given in the Add,
> to actually
> find out what happened. The ones that succeeded are not
> rolled back in any
> case.
>
> Note that this discussion applies to Subtract *, and Modify * as well.
>
> So text something like the following needs to be added to the
> descriptions
> for Add, Subtract and Modify:
>
> If an Add with a wildcarded termination is used, the command
> fails if one or
> more terminations failed to be added to the specified
> context. The MGC may
> issue an AuditValue with the given context to find out exactly which
> terminations now exist in the context.
>
> Nancy
> --------------------------------------------------------------
> ------------
> Nancy M. Greene
> Internet & Service Provider Networks, Nortel Networks
> T:514-271-7221 (internal:ESN853-1077) E:[email-masked]
>
> > ----------
> > From:         Brian Rosen[SMTP:[email-masked]]
> > Sent:         Wednesday, September 01, 1999 7:57 AM
> > To:   [email-masked]
> > Subject:      Re: Add *
> >
> > I agree with Tom's analysis.  If MyTerm* matches
> > MyTerm1, MyTerm2 and MyTerm3, and I do Add=MyTerm*{...,
> > then unless all three Terminations are added, the command fails.
> >
> > Bria
> >
> >
>